<?php
	
/* -----------------------------------------------------------------------
	 This creates the top of every web page and slices in the
	 website name, page name and optional style, i.e., embedded CSS	 
----------------------------------------------------------------------- */								
function make_top($website_name, $page_name, $style=null) {
	
	if ($style != null) {
		$style = '<style>'.$style.'</style>';
	}
	
	return '
		<!DOCTYPE html>
		<html lang="en">
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>'.$website_name.' - '.$page_name.'</title>
		<link rel="stylesheet" href="css/bootstrap.min.css">
		<link rel="stylesheet" href="css/custom.css">
		'.$style.'
		<body>';	
}

/* -----------------------------------------------------------------------
	 Creates the bottom of every web page to include the bootstrap javascript
----------------------------------------------------------------------- */								
function make_bottom() {
	return '
			<!-- javascript -->
			<script src="js/jquery.min.js"></script>
			<script src="js/popper.min.js"></script>
			<script src="js/bootstrap.min.js"></script>
		</body>
		</html>';
}

/* -----------------------------------------------------------------------
	 Makes a list
----------------------------------------------------------------------- */			
function make_list($list, $type='ul') {
	$out = '<'.$type.'>';
	foreach ($list as $i) {
		$out .= '<li>'.$i.'</li>';
	}
	$out .= '</'.$type.'>';
	return $out;
}


echo make_top('Test Website','Test Page');
echo '<main class="container">';

	
$smalllist = array('Apple', 'Banana','Orange');
$biggerlist = array_merge($smalllist, $smalllist);

	
echo make_list($smalllist);


$list_html = make_list($biggerlist, 'ol');

echo $list_html;


echo '</main>';
echo make_bottom();


	

	
	
	
?>